body {
    width: 100vw;
    height: 100vh;
    margin: 0;
    padding: 0;
    font-family: Arial;
    background-color: #333;
}

#site-wrapper {
    display: grid;
    width: 100vw;
    height: 100vh;
    grid-template: ". . ." 1fr
                   ". center ." auto
                   ". buttons ." auto
                   "footer footer footer" 1fr
                   / 1fr auto 1fr;

    background-image: linear-gradient(0deg, #ABC0E4, transparent), url('../img/website/background.jpg');
    background-repeat: no-repeat, no-repeat;
    background-position: 0 100%, 50% 50%;
    background-size: 100% 30%, cover;

    overflow: hidden;
}
body.blur-effect #site-wrapper {
    filter: blur(3px);
}

#footer {
    background-color: #333;
    grid-area: footer;
    height: 30px;
    display: flex;
    align-self: end;
    margin: 4px 0 0;
    align-items: stretch;
    justify-content: end;
}
#footer a {
    color: #fff;
    text-decoration: none;
    padding: 5px 15px;
    cursor: pointer;
}
#footer a:hover {
    background-color: #777;
}

#display-wrapper {
    grid-area: center;
}
#display-wrapper .display-container {
    float: left;
    margin: 0 120px 0 184px;
    box-shadow: rgba(141, 141, 206, 0.6) 0 0 16px 9px;
    border-radius: 16px 17px 14px 17px;
    position: relative;
}
@media only screen and (max-width: 720px) {
    #display-wrapper .display-container {
        margin: 0 10px 0 0;
    }
}
@media only screen and (max-height: 550px) {
    #display-wrapper .display-container {
        margin: 0 10px 0 0;
    }
}
#display-wrapper .display-container .background {
    height: 450px;
    max-height: 65vh;
    float: left;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
#display-wrapper .display-container .card-wrapper {
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    z-index: 2;
    display: grid;
    grid-template: ". . ." 10px
                   ". center ." 1fr
                   ". . ." 10px
                   / 10px 1fr 10px;
}
#display-wrapper .display-container .card-wrapper img {
    max-width: 100%;
    max-height: 100%;
    cursor: pointer;
    grid-area: center;
    -webkit-align-self: center;
    align-self: center;
    justify-self: center;
}
#trash-card-lightbox,
#display-wrapper .display-container #trash-card {
    display: none;
    position: absolute;
    width: 57px;
    height: 59px;
    bottom: -3px;
    right: -62px;
    background: url(../img/website/trash.png) no-repeat 0 0;
    cursor: pointer;
    z-index: 1;
}
#trash-card-lightbox:hover,
#display-wrapper .display-container #trash-card:hover {
    background-position-x: -57px;
}
#trash-card-lightbox {
    z-index: 101;
    bottom: 5px;
    left: 50%;
    transform: translateX(-50%);
}

#default-text {
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
    z-index: 1;
    overflow: hidden;
    padding: 20px;
    color: #FFF;
    font-family: Arial;
    font-size: 11.9px;
    text-align: center;
    display: grid;
    grid-template: "." 1fr "center" auto "." 1fr / 100%;
}
@media only screen and (max-height: 700px) {
    #default-text {
        padding: 15px;
        font-size: 11px;
    }
}
@media only screen and (max-height: 625px) {
    #default-text {
        padding: 10px;
        font-size: 10px;
    }
}
#default-text .text-wrapper {
    grid-area: center;
}
#default-text h1 {
    font-size: 150%;
    margin: 0;
}
#default-text h2 {
    font-size: 120%;
    border-bottom: 1px solid #FFF;
    padding: 0 0 4px;
    margin: 0 0 6px;
}
#default-text h3 {
    font-weight: bold;
    font-size: 100%;
    margin: 0;
}
#default-text p {
    margin: 0 0 10px;
    padding: 0;
}

#display-wrapper .flag-container {
    width: 64px;
    display: inline-block;
    position: relative;
}
#display-wrapper .flag-container #flag-popup {
    display: none;
    position: absolute;
    left: -4px;
    top: -4px;
    width: 100%;
    border-image-source: url(../img/website/keypad-border.png);
    border-image-slice: 10 fill;
    border-image-width: 10px;
    border-image-outset: 10px;
    border-image-repeat: round;
    padding: 4px;
}
#display-wrapper .flag-container #flag-popup:focus,
#display-wrapper .flag-container #flag-popup:active,
#display-wrapper .flag-container > .flag:focus + #flag-popup {
    display: block;
}
.flag-grid {
    display: flex;
    justify-content: center;
    margin: 10px 0;
}
.flag {
    display: inline-block;
    width: 74px;
    height: 49px;
    text-indent: -9999px;
    background: url('../img/website/flags.png') no-repeat 0 0;
    margin: 0 10px;
    cursor: pointer;
}
.flag[data-lang-select='fr'] {
    background-position: 0 -49px;
}
.flag[data-lang-select='en'] {
    background-position: 0 -98px;
}
.flag[data-lang-select='pl'] {
    background-position: 0 -147px;
}
#display-wrapper .flag-container .flag {
    display: block;
    margin: 0 0 40px;
}
@media only screen and (max-height: 550px) {
    #display-wrapper .flag-container .flag {
        margin: 0 0 20px;
    }
}
#display-wrapper .flag-container .flag.open-ui {
    background-position: 0 -245px;
    height: 162px;
}
#display-wrapper .flag-container .flag.email {
    background-position: 0 -196px;
}
#language-chooser .flag.deactivated {
    display: none;
}
html[lang='de'] #language-chooser .flag[data-lang-select='de'],
html[lang='en'] #language-chooser .flag[data-lang-select='en'],
html[lang='fr'] #language-chooser .flag[data-lang-select='fr'],
html[lang='pl'] #language-chooser .flag[data-lang-select='pl'] {
    background-position-x: -74px;
}
#display-wrapper .flag-container .flag.active:focus {
    box-shadow: none;
}
#display-wrapper .flag-container #flag-popup .flag:last-child,
#display-wrapper .flag-container .flag:last-child {
    margin: 0;
}
#display-wrapper .flag-container .flag:hover {
    background-position-x: -74px;
}

#button-frame {
    position: relative;
    padding-bottom: 22%;
    margin-top: 40px;
    grid-area: buttons;
    background: url('../img/website/decks.png') no-repeat 50% 0 / contain;
}

@media only screen and (max-height: 500px) {
    #button-frame {
        margin-top: 10px;
    }
}

.button {
    background-color: transparent;
    cursor: pointer;
    color: transparent;
    position: absolute;
    left: 5%;
    top: -2%;
    width: 17%;
    height: 100%;
    transform: rotateZ(-18deg) skewX(16deg);
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
.button#road-1 {
    left: 30%;
}
.button#road-2 {
    left: 54.5%;
}
.button#road-3 {
    left: 79%;
}
.button.disabled {
    cursor: default;
}

#lightbox,
#lightbox .img-wrapper {
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
}
#lightbox {
    z-index: 99;
    background-color: #000;
}
#lightbox .img-wrapper {
    z-index: 100;
    display: grid;
    grid-template: "center" 1fr / 1fr
}
#lightbox .img-wrapper img {
    grid-area: center;
    justify-self: center;
    -webkit-align-self: center;
    align-self: center;
    max-width: calc(100vw - 20px);
    max-height: calc(100vh - 20px);
}

#submenu-wrapper {
    position: fixed;
    top: 0;
    right: 0;
    background-color: rgba(0, 0, 0, 0.75);
    z-index: 9999;
    display: none;
    text-indent: 0;
    white-space: nowrap;
}
#submenu-wrapper ul {
    margin: 0;
    padding: 0;
    color: #fff;
    list-style-type: none;
}
#submenu-wrapper ul li {
    padding: 5px 10px;
    cursor: pointer;
}
#submenu-wrapper ul li.deactivated {
    display: none;
}
#submenu-wrapper ul li:hover {
    background-color: #FF8300;
}

#center-wrapper {
    grid-area: center;
    width: 100%;
    max-width: 450px;
}

.center-content {
    text-align: center;
}

.fancy-border {
    border-image-source: url(../img/website/keypad-border.png);
    border-image-slice: 10 fill;
    border-image-width: 10px;
    border-image-outset: 10px;
    border-image-repeat: round;
    padding: 4px;
    margin: 12px;
    color: #fff;
}
.fancy-border + .fancy-border {
    margin-top: 18px;
}

.fancy-border h1.headline,
h1.headline {
    margin: 0;
    padding: 0 10px;
    text-align: center;
}
.fancy-border h2.headline,
h2.headline {
    margin: 0 0 10px;
    padding: 0;
    font-size: 150%;
    text-align: center;
}
.fancy-border h3.headline,
h3.headline {
    margin: 10px 0 0;
    padding: 0;
    font-size: 110%;
    text-align: center;
}
@media only screen and (max-width: 450px) {
    h1.headline {
        font-size: 175%;
    }
}


div[data-lang],
span[data-lang] {
    display: none;
}
html[lang='de'] div[data-lang='de'],
html[lang='en'] div[data-lang='en'],
html[lang='fr'] div[data-lang='fr'],
html[lang='pl'] div[data-lang='pl'] {
    display: block;
}
html[lang='de'] span[data-lang='de'],
html[lang='en'] span[data-lang='en'],
html[lang='fr'] span[data-lang='fr'],
html[lang='pl'] span[data-lang='pl'] {
    display: inline;
}

.black-alpha-background,
#expansion-choser-wrapper,
#keypad-wrapper {
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.2);
    z-index: 9999;
    display: none; /* show as GRID! */
    grid-template: ". . ." 1fr ". center ." auto ". . ." 1fr / 1fr auto 1fr;
}
.black-alpha-background .center-wrapper,
#keypad-wrapper .center-wrapper {
    grid-area: center;
}
#keypad-wrapper .center-wrapper {
    width: 160px;
    height: 275px;
    margin: 0;
    padding: 0;
    position: relative;
}
.background-radio {
    position: absolute;
    left: -85px;
    top: -350px;
    width: 373px;
    height: 777px;
    z-index: 10000;
}
.keypad {
    position: absolute;
    left: 21px;
    top: 155px;
    width: 123px;
    height: 106px;
    z-index: 10001;
}
.black-alpha-background .fancy-border,
#keypad-wrapper .fancy-border {
    width: 100%;
    box-sizing: border-box;
    margin: 20px 0 0;
}
.black-alpha-background .fancy-border:first-child,
#keypad-wrapper .fancy-border:first-child {
    margin-top: 0;
}
#keypad-wrapper .fancy-border.deactivated,
#keypad-wrapper .fancy-border button.deactivated {
    display: none;
}
.expansion-choser {
    grid-area: center;
    width: 200px;
    border-image-source: url(../img/website/keypad-border.png);
    border-image-slice: 10 fill;
    border-image-width: 10px;
    border-image-outset: 10px;
    border-image-repeat: round;
    padding: 4px;
}
.expansion-choser {
    width: 250px;
}

.fancy-border.large-container {
    width: 800px;
    max-width: 95vw;
    max-height: 95vh;
    overflow: auto;
}
.fancy-border:after {
    content: "";
    display: block;
    clear: both;
}
.fancy-border h1 {
    margin: 0 0 10px;
}
.fancy-border h2 {
    margin: 20px 0px 4px;
}
.fancy-border ul {
    margin: 0;
}
.fancy-border p + ul {
    margin: -10px 0 0;
}
.fancy-border p {
    margin: 0 0 10px;
}
.fancy-border p a {
    color: #417ECC;
    text-decoration: none;
}
.fancy-border p a:hover {
    text-decoration: underline;
}
.fancy-border p:last-child {
    margin-bottom: 0;
}
.fancy-border input {
    display: none;
}
.fancy-border label {
    cursor: pointer;
    display: none;
}
.fancy-border label + br {
    display: none;
}
html[lang="de"] .fancy-border label[data-availability*="|de|"],
html[lang="en"] .fancy-border label[data-availability*="|en|"],
html[lang="fr"] .fancy-border label[data-availability*="|fr|"],
html[lang="pl"] .fancy-border label[data-availability*="|pl|"] {
    display: inline-block;
}
html[lang="de"] .fancy-border label[data-availability*="|de|"] + br,
html[lang="en"] .fancy-border label[data-availability*="|en|"] + br,
html[lang="fr"] .fancy-border label[data-availability*="|fr|"] + br,
html[lang="pl"] .fancy-border label[data-availability*="|pl|"] + br {
    display: inline;
}

.fancy-border label::before {
    content: "";
    display: inline-block;
    width: 20px;
    height: 20px;
    background: url(../img/website/checkboxes.png) no-repeat 0 0;
    vertical-align: middle;
    margin: 3px 4px 5px 0;
}
.fancy-border input:disabled + label::before {
    background-position-y: -20px;
}
.fancy-border input[type="radio"] + label::before {
    background-position-y: -40px;
}
.fancy-border input[type="radio"]:disabled + label::before {
    background-position-y: -60px;
}
.fancy-border input:checked + label::before {
    background-position-x: -20px;
}
.fancy-border button {
    border: 1px solid #83d8ff;
    text-align: center;
    cursor: pointer;
    padding: 6px 0;
    font-weight: bold;
    color: #FFF;
    background-color: #305668;
    width: 100%;
}
.fancy-border button:hover {
    background-color: #83d8ff;
}
.fancy-border button.deactivated {
    border-color: #ddd;
    color: #ddd;
    background-color: #80939b;
    cursor: inherit;
}
.fancy-border button.deactivated:hover {
    background-color: #80939b;
}
.fancy-border button.half-width {
    float: left;
    width: calc(50% - 5px);
    margin-right: 10px;
}
.fancy-border button.half-width:last-child {
    margin-right: 0;
}

#keypad-display {
    color: rgba(0, 0, 0, 0.4);
    text-align: center;
    padding: 6px 0 6px 9px;
    min-height: 52px;
    box-sizing: border-box;
    transition: color 0.075s;
    font-family: monospace;
    font-weight: bold;
    font-size: 280%;
    margin: 34px 0 0;
    z-index: 10001;
    position: relative;
}
#keypad-display.error {
    color: rgba(255, 0, 0, 0.7);
}

#shuffle-cards-into {
    border: 0px hidden transparent;
    background: url(../img/website/two-way-radio-button.png) no-repeat 0 0;
    color: rgba(240, 240, 240, 0.6);
    cursor: pointer;
    padding: 0;
    position: absolute;
    left: 20px;
    top: 98px;
    width: 125px;
    height: 26px;
    text-indent: -9999px;
    z-index: 10001;
}
#shuffle-cards-into:hover {
    background-position-y: -26px;
    color: rgba(255, 255, 255, 0.75);
}
#shuffle-cards-into.deactivated {
    display: none;
}

.key-wrapper {
    margin: 0;
}
.key-wrapper::after {
    content: "";
    clear: both;
    display: block;
}
.keypad-key {
    float: left;
    width: 41px;
    height: 28px;
    text-indent: -9999px;
    cursor: pointer;
    margin: 0;
    padding: 0;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background: none no-repeat 0 0;
}
.keypad-key:hover {
    background-image: url(../img/website/two-way-radio-keys.png);
}
.keypad-key[data-value="2"],
.keypad-key[data-value="5"],
.keypad-key[data-value="8"],
.keypad-key[data-value="0"] {
    background-position-x: -41px;
}
.keypad-key[data-value="3"],
.keypad-key[data-value="6"],
.keypad-key[data-value="9"],
.keypad-key[data-value="10"] {
    background-position-x: -82px;
}
.keypad-key[data-value="4"],
.keypad-key[data-value="5"],
.keypad-key[data-value="6"] {
    background-position-y: -28px;
}
.keypad-key[data-value="7"],
.keypad-key[data-value="8"],
.keypad-key[data-value="9"] {
    background-position-y: -56px;
}
.keypad-key[data-value="-1"],
.keypad-key[data-value="0"],
.keypad-key[data-value="10"] {
    background-position-y: -84px;
    height: 23px;
}
